from multiprocessing import AuthenticationError
from django.shortcuts import HttpResponseRedirect,render
from .forms import UserForms,LoginForm
from core.models import Customer
from django.contrib.auth import login, authenticate,logout

# Create your views here.



def user_created(request):
    if request.method == 'POST':
        form = UserForms(request.POST)
        if form.is_valid():
            Customer.objects.create(**form.cleaned_data)
            return HttpResponseRedirect('create')
    else:
        form = UserForms()
    return render(request ,'accounts/user_creat.html', {'form':form})


def user_login(request):

    
    form = LoginForm()
   # message = ''
    if request.method == 'POST':
        form = LoginForm(request.POST)
        if form.is_valid():
            user = authenticate(
                username=form.cleaned_data['username'],
                password=form.cleaned_data['password'],
            )
            if Customer.objects.filter(username = form.cleaned_data['username'] , password = form.cleaned_data['password']).exists():
                
                login(request, user)
                #message = f'Hello {user.username}! You have been logged in'
                
            else:
                #message = 'Login failed!'
               pass
        return HttpResponseRedirect('/')
    return render(request , 'accounts/user_login.html', {'form':form})

def user_logout(request):
    logout(request)
    return HttpResponseRedirect('/')



